## steam 1.0.0.75

=== debian/changelog ===
steam (1:1.0.0.75-1) unstable; urgency=medium

  * New upstream release
    - Updated Steam client binary, build 1654574690 (2022-06-07)
    - Updated Steam Runtime, build 0.20220315.0
  * Add Recommends on libva-drm2 and libva-glx2, following upstream.
    This is similar to the Depends on libva2:i386 and libva-x11-2:i386
    in the previous release.

 -- Simon McVittie <smcv@debian.org>  Fri, 16 Sep 2022 12:42:40 +0100

steam (1:1.0.0.74-2) unstable; urgency=medium

  * d/copyright.in: Replace CC0-1.0 text with a reference to common-licenses
  * d/control: Depend on libcrypt1, with old-libc alternative for backports.
    Some legacy libraries in the Steam Runtime depend on libcrypt.so.1,
    which they could historically rely on being able to pick up from the
    libc6 package. This is no longer the case since bullseye.
  * d/control: Recommend libfontconfig1, libnm0.
    Steam uses these. There is a suitable version in the Steam Runtime,
    but it's very old; if we pull in the much newer i386 packages from
    Debian, the runtime will automatically prefer them, and they'll
    generally work better with modern /etc/fonts and modern NM.
  * Depend on libva2 and libva-x11-2.
    This avoids version skew that can occur if the host system has
    libva2:i386 but not libva-x11-2:i386. If that occurs, then Steam ends up
    trying to load libva-x11-2:i386 from the Steam Runtime and libva2:i386
    from the host system, which can't work reliably, because there is
    private ABI between those two libraries. (steam-for-linux#8673)
  * Standards-Version: 4.6.1 (no changes required)
  * Use recommended debhelper compat level 13
  * Update Lintian overrides
  * Add Lintian override for XS-Autobuild field

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Jul 2022 18:17:00 +0100

=== debian/control ===
Source: steam
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libexpat1,
 libffi-dev,
 libgcc-s1 | libgcc1,
 libstdc++6,
 libtinfo-dev,
 libx11-6,
 libx11-xcb1,
 libxau6,
 libxcb-dri2-0,
 libxcb-dri3-0,
 libxcb-glx0,
 libxcb-present0,
 libxcb-sync1,
 libxcb1,
 libxdamage1,
 libxdmcp6,
 libxext6,
 libxfixes3,
 libxi6,
 libxxf86vm1,
 zlib1g,
 python3:any,
Rules-Requires-Root: no
XS-Autobuild: yes
Standards-Version: 4.6.1
Homepage: https://steamcommunity.com/linux
Vcs-Git: https://salsa.debian.org/games-team/steam.git
Vcs-Browser: https://salsa.debian.org/games-team/steam

Package: steam
Architecture: i386
Multi-Arch: foreign
Pre-Depends:
 debconf,
 ${misc:Pre-Depends},
Depends:
 curl,
 file,
 libcrypt1 | libc6 (<< 2.29-4),
 libgcc-s1 | libgcc1,
 libgl1-mesa-dri (>= 17.3),
 libgl1,
 libgpg-error0 (>= 1.10),
 libstdc++6,
 libudev1,
 libva2,
 libva-x11-2,
 libxcb-dri3-0 (>= 1.11.1),
 libxcb1,
 libxi6 (>= 2:1.7.4),
 libxinerama1 (>= 2:1.1.1),
 xz-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 fontconfig,
 fonts-liberation,
 libasound2-plugins,
 libegl1,
 libfontconfig1,
 libgbm1,
 libnm0,
 libsdl2-2.0-0,
 libva-drm2,
 libva-glx2,
 libxss1,
 mesa-vulkan-drivers,
 steam-devices,
 va-driver-all | va-driver,
 xdg-desktop-portal,
 xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
 xdg-utils,
 xterm | x-terminal-emulator,
 zenity,
Suggests:
 nvidia-driver-libs,
 nvidia-vulkan-icd,
 pipewire,
Conflicts:
 steam-launcher,
Replaces:
 steam-launcher,
Description: Valve's Steam digital software delivery system
 Steam (https://www.steampowered.com) is a software content delivery system
 developed by Valve software (https://www.valvesoftware.com).  There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package comes with a fairly substantial non-free license agreement
 that must be accepted before installing the software.  If you have any
 opposition to non-free work, please select "I DECLINE" during the package
 installation dialogs.   There are also additional agreements in various
 parts of the application that differ from the original agreement.  In
 other words, pay attention and read carefully if you're worried about your
 rights.

Package: steam-devices
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 steam,
Breaks:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
Conflicts:
 steam-launcher,
Replaces:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
 steam-launcher,
Description: Device support for Steam-related hardware
 This package provides udev rules for various Steam-related hardware devices
 such as the Steam Controller (gamepad) and the HTC Vive (virtual reality
 headset).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
origdir=..
orig=$(origdir)/steam_$(uversion).orig.tar.xz
dest=steam-$(uversion).orig

build-arch:
ifneq ($(DEB_HOST_ARCH), i386)
	@echo "error: $(DEB_HOST_ARCH) is not a supported architecture"
	@exit 1
endif

%:
	dh $@

override_dh_auto_configure:
	./debian/scripts/templates-helper

# We don't use Valve's build system
override_dh_auto_build:
	sed \
		-e 's,STEAMSCRIPT_VERSION=.*,STEAMSCRIPT_VERSION='"'"'$(DEB_VERSION_UPSTREAM_REVISION)/$(DEB_VENDOR)'"'"',' \
		< debian/scripts/steam.in > debian/scripts/steam
	sed \
		-e '/^Exec=/ s,/usr/bin/steam,/usr/games/steam,g' \
		-e 's,^Exec=steam ,Exec=/usr/games/steam ,' \
		-e '/^Actions=/ a Keywords=Games' \
		< steam.desktop > debian/scripts/steam.desktop
override_dh_auto_install:
	:
override_dh_auto_test:
	:

override_dh_strip:
	# Valve's binaries have no symbols, so a dbgsym package is not useful
	dh_strip --no-automatic-dbgsym

override_dh_clean:
	dh_clean -- debian/templates
	./debian/scripts/copyright-helper debian/copyright.in debian/copyright

# Can be set to 'beta' to fetch upstream releases that are still
# considered to have beta status
UPSTREAM_APT_SUITE = stable

get-orig-source:
	@test "$(uversion)" = "" && \
	    echo "There is no new upstream source file." && exit 1 || true
	mkdir get-orig
	mkdir get-orig/chdist
	chdist -d $(CURDIR)/get-orig/chdist create steam https://repo.steampowered.com/steam $(UPSTREAM_APT_SUITE) steam
	cp debian/valve-steam-keyring.gpg get-orig/chdist/steam/etc/apt/trusted.gpg.d/
	chdist -d $(CURDIR)/get-orig/chdist apt-get steam update
	cd get-orig && chdist -d $(CURDIR)/get-orig/chdist apt-get steam source -d steam=1:$(uversion)
	rm -f $(orig)
	mkdir -p $(origdir)/$(dest)
	tar xf get-orig/steam_$(uversion).tar.gz --strip-components=1 -C $(origdir)/$(dest)
	rm -rf get-orig
	mv -v $(origdir)/$(dest)/debian/changelog $(origdir)/$(dest)
	mv -v $(origdir)/$(dest)/debian $(origdir)/$(dest)/valve-packaging
	rm -fv $(origdir)/$(dest)/steam
	cd $(origdir)/$(dest) && tar -xvf bootstrap*.tar.*
	rm -fvr $(origdir)/$(dest)/bootstrap*.tar.*
	rm -fvr $(origdir)/$(dest)/linux32/steamerrorreporter
	rm -fvr $(origdir)/$(dest)/ubuntu12_32/crashhandler.so
	rm -fvr $(origdir)/$(dest)/ubuntu12_32/steam-runtime
	tar -C $(origdir) -cJf $(orig) $(dest)
	rm -rf $(origdir)/$(dest)
	@echo "Successfully created new upstream source file: $(orig)"

## steam 1.0.0.76

=== debian/control ===
Source: steam
Section: games
Priority: optional
Maintainer: Valve Corporation <linux@steampowered.com>
Build-Depends: debhelper (>= 8.1.0),
               dh-python | python3 (<< 3.3.2-10~),
               perl,
               python3
Standards-Version: 3.9.4
Homepage: http://www.steampowered.com/

Package: steam-launcher
Architecture: all
Multi-Arch: foreign
Provides: steam,
          steam-devices,
          steam-installer
Conflicts: steam-devices,
           steam-installer
Replaces: steam,
          steam64,
          steam-devices,
          steam-installer
Breaks: steam64
Pre-Depends: dpkg (>= 1.17.0)
Depends: ${misc:Depends},
         ${python3:Depends},
         apt (>= 1.1),
         apt (>= 1.6) | apt-transport-https,
         ca-certificates,
         coreutils (>= 8.23-1~) | realpath,
         curl,
         file,
         libc6 (>= 2.15),
         libnss3 (>= 2:3.26),
         policykit-1,
         python3,
         python3-apt,
         xterm | gnome-terminal | konsole | x-terminal-emulator,
         xz-utils,
         zenity
Recommends: steam-libs-amd64,
            steam-libs-i386,
            sudo,
            xdg-utils | steamos-base-files,
Description: Launcher for the Steam software distribution service
 Steam is a software distribution service with an online store, automated
 installation, automatic updates, achievements, SteamCloud synchronized
 savegame and screenshot functionality, and many social features.

Package: steam
Section: oldlibs
Priority: extra
Architecture: i386
Depends: steam-launcher (>= ${source:Version})
Description: Launcher for the Steam software distribution service
 This is a transitional package that can be safely removed once steam-launcher is installed.

Package: steam-libs-amd64
Architecture: amd64
Multi-Arch: foreign
Depends: libc6 (>= 2.15),
         libcrypt1 | libc6 (<< 2.29-4),
         libegl1 | libegl1-mesa,
         libgbm1 | libgbm1-lts-xenial,
         libnss3 (>= 2:3.26),
         libgl1,
         libgl1-mesa-dri,
         libgcc-s1 | libgcc1,
         libgpg-error0 (>= 1.10),
         libstdc++6,
         libudev1 | libudev0,
         libxcb-dri3-0,
         libxcb1,
         libxinerama1 (>= 2:1.1.1),
         libx11-6,
Recommends: libasound2-plugins,
            libva2,
            libva-drm2,
            libva-glx2,
            libva-x11-2,
            libxss1,
            mesa-vulkan-drivers,
            va-driver-all | va-driver,
Suggests: nvidia-driver-libs,
          nvidia-vulkan-icd,
Description: Steam libraries metapackage
 This metapackage depends on the amd64 libraries required by
 steam-launcher.

Package: steam-libs-i386
Architecture: i386
Multi-Arch: foreign
Depends: libc6 (>= 2.15),
         libcrypt1 | libc6 (<< 2.29-4),
         libegl1 | libegl1-mesa,
         libgbm1 | libgbm1-lts-xenial,
         libgl1,
         libgl1-mesa-dri,
         libgcc-s1 | libgcc1,
         libgpg-error0 (>= 1.10),
         libstdc++6,
         libudev1 | libudev0,
         libxcb-dri3-0,
         libxcb1,
         libxinerama1 (>= 2:1.1.1),
         libx11-6,
Recommends: libasound2-plugins,
            libfontconfig1,
            libnm0,
            libva2,
            libva-drm2,
            libva-glx2,
            libva-x11-2,
            libxss1,
            mesa-vulkan-drivers,
            va-driver-all | va-driver,
Suggests: nvidia-driver-libs,
          nvidia-vulkan-icd,
Description: Steam libraries metapackage
 This metapackage depends on the i386 libraries required by
 steam-launcher.

## steam 1.0.0.78

=== debian/changelog ===
steam (1:1.0.0.78) beta; urgency=medium

  * Specifically require gnome-terminal, konsole or xterm, and don't accept
    x-terminal-emulator. We require a terminal emulator that can be told to
    wait until the command it is running has exited, and that isn't the
    case for all x-terminal-emulator implementations, resulting in Steam
    trying to start before its dependencies have been installed, which will
    fail. (Reopens: steam-for-linux#9350)

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 May 2023 20:46:27 +0100

steam (1:1.0.0.77) beta; urgency=medium

  * Build using updated Steam client:
    - Client timestamp 1682708537 (2023-04-28)
    - Steam Runtime (scout) version 0.20230118.0
  * Update steam-devices subproject up to 2023-04-12:
    - steam-input: Add Razer Raiju Ultimate
      (steam-devices#31, thanks to @IAmTheRedSpy)
    - steam-input: Add Sony DualShock 3 (Playstation 3) controller
      (steam-devices#43, thanks to Jonatas Esteves)
    - steamvr: Provide access to Valve Index (28de:2102) serial port
      (steam-devices#44, thanks to Joshua Ashton)
  * Packaging:
    - Depend on Python 3.4.
      This was available in Debian since version 8 (EOL long ago), in Ubuntu
      since 14.04 (EOL), and in SteamOS 2 (EOL).
    - Depend on pkexec in preference to policykit-1, avoiding installation
      of a deprecated transitional package on Debian >= 12 and
      Ubuntu >= 22.04. Older versions that only have policykit-1 still work.
  * steamdeps installer script:
    - Turn off autoremovals when steamdeps runs apt, avoiding
      a failure to install dependencies if autoremovals were enabled
      system-wide (steam-for-linux#9350)
    - Accept any x-terminal-emulator as a terminal (steam-for-linux#9265)
    - Try harder to tell apt's conflict resolution heuristic
      that removing steam-launcher is not a good solution
      (followup for steam-for-linux#9301)
    - Remove compatibility with Python 3.2
    - Use shutil.which instead of which(1), for better efficiency and to
      avoid deprecation warnings in some versions
  * CI:
    - Test steamdeps on Ubuntu 16.04
    - Test steamdeps on Debian 12

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 May 2023 16:25:00 +0100

steam (1:1.0.0.76) beta; urgency=medium

  [ Simon McVittie ]
  * Don't install apt repository key into /etc/apt/trusted.gpg.d.
    In modern versions of apt the recommendation is to install third-party
    repository keys into locations not trusted by apt by default,
    and use the signed-by field in sources.list.d entries to request
    validation against those keys for a specific repository, limiting
    security exposure.
    This configuration change requires apt 1.1 or later, dropping support
    for Ubuntu 12.04 'precise' and Ubuntu 14.04 'trusty' (both of which have
    already reached end-of-life). The apt repository continues to provide
    a 'precise' suite for historical reasons.
    On upgrades from earlier versions, steam.gpg is removed from
    /etc/apt/trusted.gpg.d. If it has local system administrator
    modifications (which it should not) then the modified version is kept
    as steam.gpg.dpkg-bak but is no longer used, unless merged by the system
    administrator.
    Similarly, on upgrades from earlier versions, steam.list is removed
    from /etc/apt/sources.list.d. If it has local system administrator
    modifications, most commonly to enable the beta steam-launcher, then
    the modified version is kept as steam.list.dpkg-bak but is no longer
    used unless merged by the system administrator.
    New apt source configuration is provided in steam-stable.list (for the
    stable version) and steam-beta.list (for the beta version, commented
    out by default), so that beta users will not usually need to edit
    steam-stable.list. (steamrt/tasks#245)
  * Build using updated Steam client:
    - Client timestamp 1676336721 (2023-02-14)
    - Steam Runtime version 0.20221019.0
  * d/control: steam-launcher Provides/Conflicts/Replaces equivalent
    packages in Debian/Ubuntu
  * Internal CI fixes (steamrt/tasks#203)

  [ Ludovico de Nittis ]
  * bin_steamdeps: Remove workarounds for Ubuntu 14.04 and earlier.
    With the requirement of apt 1.1 or later, we effectively dropped support
    for the EOL Ubuntu releases 12.04 and 14.04.
    This allows us to remove some workarounds we had in place to support
    those distros.

 -- Simon McVittie <smcv@collabora.com>  Wed, 01 Mar 2023 18:53:48 +0000

steam (1:1.0.0.75) beta; urgency=medium

  [ Ludovico de Nittis ]
  * Add Recommends on libfontconfig1:i386 and libnm0:i386.
    Those libraries are already included in the scout Steam Runtime,
    but the versions from the host distribution are likely to interoperate
    better with a modern /etc/fonts and NetworkManager. (steamrt/tasks#118)
  * d/control: Add libcrypt1 dependency.
    Several legacy libraries in the Scout runtime depend on libcrypt.so.1,
    which used to be part of libc6. (steamrt/tasks#138)

  [ Simon McVittie ]
  * d/control: Recommend libva-drm2, libva-glx2, libva-x11-2.
    These come from the same source package, so they should be the same
    version, and this is more likely to happen if we install all of them
    from the host distribution. (steamrt/tasks#140, steam-for-linux#8673)
  * Build using updated Steam client:
    - Client timestamp 1654574690 (2022-06-07)
    - Steam Runtime version 0.20220315.0

 -- Simon McVittie <smcv@collabora.com>  Tue, 12 Jul 2022 20:10:25 +0100

steam (1:1.0.0.74) beta; urgency=medium

  * Add Recommends on libva.so.2 (libva2) and its drivers. (steamrt/tasks#42)
    This is available since Debian 10 and Ubuntu 18.04, and is used for
    VA-API video acceleration on Mesa-supported GPUs.
    The 32-bit version is used for the Remote Play client and server in
    current Steam versions. The 64-bit version might be needed in future.
  * d/README.source: Update CI steps
  * Build using updated Steam client:


## steam 1.0.0.79

=== Makefile ===
#! /bin/make -f

all:
	@echo 'Run steam with "./steam" or install it with "sudo make install"'

install: install-bin install-docs install-icons install-bootstrap install-desktop install-appdata install-apt-source

install-bin:
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -d -m 755 $(DESTDIR)$(pkglibdir)/steam_launcher/
	install -p -m 755 bin_steam.sh $(DESTDIR)$(pkglibdir)/
	install -p -m 755 bin_steamdeps.py $(DESTDIR)$(pkglibdir)/
	install -p -m 644 steam_launcher/__init__.py $(DESTDIR)$(pkglibdir)/steam_launcher/
	install -p -m 644 steam_launcher/launcherutils.py $(DESTDIR)$(pkglibdir)/steam_launcher/
	ln -fns $(pkglibdir)/bin_steam.sh $(DESTDIR)$(bindir)/$(PACKAGE)
	ln -fns $(pkglibdir)/bin_steamdeps.py $(DESTDIR)$(bindir)/$(PACKAGE)deps

install-docs:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -p -m 644 README steam_subscriber_agreement.txt $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man6/
	install -m 644 $(PACKAGE).6 $(DESTDIR)$(PREFIX)/share/man/man6/

install-icons:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -p -m 644 icons/16/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -p -m 644 icons/24/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -p -m 644 icons/256/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -p -m 644 icons/32/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/steam_tray_mono.png $(DESTDIR)$(PREFIX)/share/pixmaps/$(PACKAGE)_tray_mono.png

install-bootstrap:
	install -d -m 755 $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/
	install -p -m 644 bootstraplinux_ubuntu12_32.tar.xz $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/

install-desktop:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
	install -d -m 755 $(DESTDIR)$(pkglibdir)/
	# If we create a desktop symlink in $(datadir)/applications/, the md5sum deb file
	# will not contain an entry for it and appstream-generator will complain that
	# the package is missing the desktop file. Instead we place the real file in
	# $(datadir)/applications/ and create a symlink in $(pkglibdir)
	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(datadir)/applications/
	ln -fns $(datadir)/applications/$(PACKAGE).desktop $(DESTDIR)$(pkglibdir)/

install-appdata:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/metainfo/
	install -p -m 644 $(PACKAGE_ID).metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo/

install-apt-source:
	if [ -d /etc/apt ]; then \
		install -d -m 755 $(DESTDIR)/etc/apt/sources.list.d/; \
		install -p -m 644 steam-stable.list $(DESTDIR)/etc/apt/sources.list.d/; \
		install -p -m 644 steam-beta.list $(DESTDIR)/etc/apt/sources.list.d/; \
		install -d -m 755 $(DESTDIR)/usr/share/keyrings/; \
		install -p -m 644 steam.gpg $(DESTDIR)/usr/share/keyrings/; \
	fi

#########################

PACKAGE=steam
PACKAGE_ID=com.valvesoftware.Steam
PREFIX?=/usr
bindir = $(PREFIX)/bin
datadir = $(PREFIX)/share
pkglibdir = $(PREFIX)/lib/$(PACKAGE)
PYTHON ?= python3

.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-appdata install-apt-source

check:
	prove -v tests/*.sh
.PHONY: check

clean:
	rm -fr .mypy_cache
	rm -fr buildutils/__pycache__
	rm -fr steam-launcher/__pycache__
.PHONY: clean

=== debian/control ===
--- 
+++ 
@@ -33,10 +33,10 @@
          file,
          libc6 (>= 2.15),
          libnss3 (>= 2:3.26),
-         policykit-1,
-         python3,
+         pkexec | policykit-1,
+         python3 (>= 3.4),
          python3-apt,
-         xterm | gnome-terminal | konsole | x-terminal-emulator,
+         xterm | gnome-terminal | konsole,
          xz-utils,
          zenity
 Recommends: steam-libs-amd64,
